Skip to main content
`Ctrl`+`K`

# TSMonitorExtreme

Prints the extreme values of the solution at each timestep

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorExtreme(TS ts, PetscInt step, PetscReal ptime, Vec v, PetscViewerAndFormat *vf)

## Input Parameters

- ts - the `TS` context

- step - iteration number (after the final time step the monitor routine may be called with a step of -1, this indicates the solution has been interpolated to this time)

- ptime - current time

- v - current iterate

- vf - the viewer and format

## Note

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `TS` integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages